Bug 512164 - Review Request: olpc-update - OLPC system update tools
Review Request: olpc-update - OLPC system update tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-07-16 11:33 EDT by Daniel Drake
Modified: 2009-08-11 18:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.20-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-17 13:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2009-07-16 11:33:10 EDT
Spec URL: http://dev.laptop.org/~dsd/20090716/olpc-update.spec
SRPM URL: http://dev.laptop.org/~dsd/20090716/olpc-update-2.19-1.fc11.src.rpm
Description:

This is a set of utilities used to update OLPC XO systems from a school server. Please consider for Fedora 11 inclusion.
Comment 1 Peter Robinson 2009-07-16 11:40:39 EDT
I'll review this one.
Comment 2 Peter Robinson 2009-07-16 11:53:59 EDT
All looks OK except the URL is broken. Please fix before commit. Otherwise APPROVED!

The single warning in rpmlint is expected for a cron job

+ rpmlint output

rpmlint olpc-update.spec olpc-update-2.19-1.fc11.noarch.rpm olpc-update-2.19-1.fc11.src.rpm 
olpc-update.noarch: W: non-conffile-in-etc /etc/cron.d/olpc-update-query
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  06c5cc5166e6584b1898ebcee5f7983b  olpc-update-2.19.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 3 Daniel Drake 2009-07-16 11:55:51 EDT
New Package CVS Request
=======================
Package Name: olpc-update
Short Description: OLPC system update tools
Owners: dsd pbrobinson cjb
Branches: F-11
InitialCC:
Comment 4 Jason Tibbitts 2009-07-17 11:36:36 EDT
CVS done.
Comment 5 Fedora Update System 2009-07-17 13:00:26 EDT
olpc-update-2.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/olpc-update-2.19-1.fc11
Comment 6 Daniel Drake 2009-07-17 13:08:03 EDT
Thanks!
Comment 7 Fedora Update System 2009-08-01 10:05:52 EDT
olpc-update-2.20-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/olpc-update-2.20-1.fc11
Comment 8 Fedora Update System 2009-08-11 18:30:58 EDT
olpc-update-2.20-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.